LibreOffice LibreOffice 7.2 SDK API Reference

Variables
com::sun::star::frame::status::ItemState Constant Group Reference

these constants describe a state of an ItemStatus. More...

## Variables
const short | UNKNOWN = 0
| specifies an unknown state. More...
const short | DISABLED = 1
| specifies that the property is currently disabled. More...
const short | READ_ONLY = 2
| specifies that the property is currently read-only. More...
const short | DONT_CARE = 16
| specifies that the property is currently in a don't care state. More...
const short | DEFAULT_VALUE = 32
| specifies that the property is currently in a default state. More...
const short | SET = 64
| specifies that the property is currently in a set state. More...

## Detailed Description

these constants describe a state of an ItemStatus.

See also
  ItemStatus

Since
  OOo 2.0

## Variable Documentation

## ◆ DEFAULT_VALUE

const short DEFAULT_VALUE = 32

specifies that the property is currently in a default state.

## ◆ DISABLED

const short DISABLED = 1

specifies that the property is currently disabled.

## ◆ DONT_CARE

const short DONT_CARE = 16

specifies that the property is currently in a don't care state.

This is normally used if a selection provides more than one state for a property at the same time.

## ◆ READ_ONLY

const short READ_ONLY = 2

specifies that the property is currently read-only.

Deprecated: There is no equivalent in SfxItemState anymore due to not being used, so remove for simplification reasons and to prepare rework of Item/ItemSet/ItemPool stuff.

There are only three usages of ::ItemState in the code which all set the internal SfxItem to SfxVoidItem when triggered, which is equivalent to state SfxItemState::DISABLED (see e.g. SfxItemSet::GetItemState), so READ_ONLY gets not used in internal handling, even when eventually existing UNO API usages hand it over the office.

## ◆ SET

const short SET = 64

specifies that the property is currently in a set state.

## ◆ UNKNOWN

const short UNKNOWN = 0

specifies an unknown state.